Summary: X.509 library
Name:    libksba
Version: 1.0.2
Release: 1
License: GPL
Group:   System Environment/Libraries
URL:     http://www.gnupg.org/
Source0: ftp://ftp.gnupg.org/gcrypt/libksba/libksba-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/libksba/libksba-%{version}.tar.bz2.sig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libgpg-error-devel >= 1.2 
BuildRequires: libgcrypt-devel >= 1.2.0
Requires: libgpg-error >= 1.2 
Requires: libgcrypt >= 1.2.0

%description
KSBA is a library designed to build software based on the X.509 and
CMS protocols.

%package devel
Summary: Development headers and libraries for %{name}
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: info
Requires: /sbin/install-info

%description devel
%{summary}.


%prep
%setup -q


%build
./configure --prefix=%{_prefix} \
    --infodir=%{_prefix}/info \
    --enable-static --enable-shared
make


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
gzip -9 $RPM_BUILD_ROOT%{_infodir}/ksba.info


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post devel
install-info %{_infodir}/ksba.info.gz %{_infodir}/dir

%postun devel
if [ $1 -eq 0 ]; then
    install-info --delete %{_infodir}/ksba.info.gz %{_infodir}/dir
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README* THANKS TODO VERSION
%{_libdir}/lib*.a


%files devel
%defattr(-,root,root,-)
%{_bindir}/ksba-config
%{_libdir}/lib*.la
%{_includedir}/*
%{_datadir}/aclocal/*
%{_infodir}/*


%changelog
* Fri Oct 05 2007 Michael Perzl <michael@perzl.org> - 1.0.2-1
- first version for AIX V5.1 and higher

